Last Comment Bug 704423 - mousemove event should be cancelable
: mousemove event should be cancelable
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Events (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla31
Assigned To: Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28))
:
Mentors:
data:text/html,<script>var done = fal...
Depends on:
Blocks: 219388 704061
  Show dependency treegraph
 
Reported: 2011-11-21 22:51 PST by Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28))
Modified: 2014-04-24 10:29 PDT (History)
5 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (3.40 KB, patch)
2011-11-22 17:44 PST, Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28))
no flags Details | Diff | Splinter Review
Patch (3.95 KB, patch)
2014-04-24 00:42 PDT, Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28))
bugs: review+
Details | Diff | Splinter Review

Description Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2011-11-21 22:51:22 PST
mousemove event should be cancelable, see D3E spec:
http://dev.w3.org/2006/webapi/DOM-Level-3-Events/html/DOM3-Events.html#event-type-mousemove
Comment 1 Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2011-11-22 17:44:22 PST
Created attachment 576366 [details] [diff] [review]
Patch

This patch doesn't change actual behavior, just changes as cancelable.

IE9 and Opera support cancelable mousemove event. However, on both of them, :hover state isn't prevented even if I prevents default of mousemove event.

And also, text selection isn't blocked by the default prevented mousemove event.

WebKit's mousemove event is not cancelable.
Comment 2 Olli Pettay [:smaug] (TPAC) 2011-12-14 05:47:38 PST
Btw, I'm not sure if this is just a bug in D3E.
DOM 2 mousemove is not cancelable.
Comment 3 Olli Pettay [:smaug] (TPAC) 2012-03-21 09:58:55 PDT
Comment on attachment 576366 [details] [diff] [review]
Patch

You did send email to the mailing list, but did you perhaps file a 
spec bug?
Clearing r? until we know what to do with this.
Comment 4 Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2012-06-28 02:58:09 PDT
I filed a spec bug:
https://www.w3.org/Bugs/Public/show_bug.cgi?id=17626
Comment 5 Syoichi Tsuyuhara 2013-09-06 11:49:49 PDT
In Blink, it seems that this bug is fixed.
https://src.chromium.org/viewvc/blink?revision=157207&view=revision
https://codereview.chromium.org/23463012
https://code.google.com/p/chromium/issues/detail?id=261449

I confimed this in Chromium 31.0.1624.0 (221710)(Blink 537.36 (@157356)).
Comment 6 Masatoshi Kimura [:emk] 2013-09-06 17:43:31 PDT
Also, the spec bug has been resolved from way back.
Comment 7 Arkadiusz Michalski (Spirit) 2014-04-15 07:00:59 PDT
Any progress? Chrome and IE are consistent with D3E, and Firefox still with D2E. Hmm... now I see that Firefox have correct behaviour a long time ago:
https://bugzilla.mozilla.org/show_bug.cgi?id=76929 << contains a good testcase
Comment 8 Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2014-04-24 00:42:52 PDT
Created attachment 8411624 [details] [diff] [review]
Patch

Okay, let's take this into 31 which is next ESR.
Comment 9 Olli Pettay [:smaug] (TPAC) 2014-04-24 02:46:21 PDT
Why should mousemove be cancelable?
Comment 10 Olli Pettay [:smaug] (TPAC) 2014-04-24 02:47:28 PDT
Comment on attachment 8411624 [details] [diff] [review]
Patch

Ah, hmm, selection handling might in theory need this.
Comment 11 Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2014-04-24 07:18:25 PDT
(In reply to Olli Pettay [:smaug] from comment #9)
> Why should mousemove be cancelable?

For the odd spec change... We discussed about this in the last D3E meeting, though.
Comment 12 Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2014-04-24 07:20:29 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/36f02c47f4be
Comment 13 Ryan VanderMeulen [:RyanVM] 2014-04-24 10:29:11 PDT
https://hg.mozilla.org/mozilla-central/rev/36f02c47f4be

Note You need to log in before you can comment on or make changes to this bug.